TechDraw: Vertice cosmetico

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw CosmeticVertex and the translation is 100% complete.

Other languages:
English • ‎français • ‎italiano
Arrow-left.svg Techdraw-textleader.svg Blocco di testo Pagina precedente:
Pagina successiva: Punti mediani Techdraw-midpoint.svg Arrow-right.svg

Techdraw-point.svg Vertice cosmetico

Posizione nel menu
TechDraw → Vertice cosmetico
Ambiente
TechDraw
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Punti mediani, Quadrante


Descrizione

Lo strumento Vertice cosmetico aggiunge ad una vista un vertice che non fa parte della geometria di origine. Questo vertice si comporta come qualsiasi altro vertice e può essere utilizzato per il dimensionamento.

TechDraw CosmeticVertex Sample.png

Vertice cosmetico utilizzato per creare una dimensione altrimenti impossibile


Utilizzo

  1. Premere il pulsante Techdraw-mline.svg Vertice cosmetico
  2. Si apre una finestra di dialogo delle azioni. La finestra di dialogo consente di selezionare la posizione del Vertice cosmetico attraverso l'uso di un "selettore di punti" o inserendo le coordinate. Le coordinate sono la posizione all'interno della vista relativa al centro vista.
  3. Il pulsante Pick points avvia un "selettore di punti". Una volta selezionata una posizione, viene visualizzato un piccolo cerchio. Il vertice cosmetico viene aggiunto quando si preme il pulsante "OK".
  4. Per uscire dal "Selettore dei punti" senza creare un vertice cosmetico, premere il pulsante "Escape picking" nella finestra di dialogo.


Proprietà

I vertici cosmetici non hanno proprietà proprie, in quanto non sono dei Document Objects. Condividono le impostazioni di colore e dimensione con i normali vertici della geometria.

Script

Vedere anche: API TechDraw e Nozioni di base sugli script di FreeCAD.

In questo momento i vertici cosmetici non sono accessibili dalle macro o dalla console Python. Questo snippet rimuoverà tutti i vertici cosmetici dalla vista.

>>> v = App.ActiveDocument.View
>>> v.clearCV()
>>> App.activeDocument().recompute()


Arrow-left.svg Techdraw-textleader.svg Blocco di testo Pagina precedente:
Pagina successiva: Punti mediani Techdraw-midpoint.svg Arrow-right.svg